NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.InsertAuxiliaryBuilder Class Reference

PDW insert auxiliary builder to design various auxiliaries of insert group More...

Inheritance diagram for NXOpen.Tooling.InsertAuxiliaryBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CircOperationTypes { Create, Edit, Delete }
 Specifies the options of circular array. More...
 
enum  DesignToolOption { Copy, Array, Delete }
 Specifies the design tool option. More...
 
enum  HeelTypesType { RType, CType }
 Specisied the heel types More...
 
enum  RampStepsType { AddMaterial, CreateCurvesAndDivideFace, CreateRamp, DeleteRamp }
 Specifies the ramp steps. More...
 
enum  RectOperationOption { Create, Edit, Delete }
 Specifies the rectangular array option. More...
 
enum  ShankShapeTypes { Flange, Ramp, Heel }
 Specifies the shank shape. More...
 
enum  Types {
  InsertFlange, InsertRamp, InsertHeel, PunchMount,
  Tools
}
 Specifies the insert auxiliary type. More...
 
enum  UseFaceOrSketchToRevolve { Face, Sketch }
 Specifies the use face or sketch to revolve. More...
 

Public Member Functions

unsafe void DesignMountHead ()
 Design mount head for insert. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double BottomPlateClearance [get, set]
 Returns or sets the bottom plate clearance. More...
 
unsafe bool CircDeleteAllComponents [get, set]
 Returns or sets the option to delete all components in circular array. More...
 
unsafe NXOpen.SelectBody CircularInsert [get]
 Returns the insert to do circular array. More...
 
unsafe
NXOpen.Tooling.InsertAuxiliaryBuilder.CircOperationTypes 
CircularOperation [get, set]
 Returns or sets the circular array operation. More...
 
unsafe NXOpen.Direction CircularVector [get, set]
 Returns or sets the specified vector for defining circular array axis. More...
 
unsafe double ClearanceValue [get, set]
 Returns or sets the clearance value. More...
 
unsafe NXOpen.Point ControlPoint [get, set]
 Returns or sets the control point for the copy operation. More...
 
unsafe NXOpen.SelectBodyList CopySelectInsert [get]
 Returns the insert to be copied. More...
 
unsafe NXOpen.Section CreateCurvesToDivideFace [get]
 Returns the curves created to divid the face More...
 
unsafe
NXOpen.Tooling.InsertAuxiliaryBuilder.DesignToolOption 
DesignTool [get, set]
 Returns or sets the design tool. More...
 
unsafe NXOpen.Point DestinationPoint [get, set]
 Returns or sets the destination point for the copy operation. More...
 
unsafe NXOpen.ScCollector FaceForRamp [get]
 Returns the sweep face for editing ramp. More...
 
unsafe NXOpen.Expression FalseBodyHeight [get]
 Returns the false body height. More...
 
unsafe double HeelFalseHeightClearance [get, set]
 Returns or sets the false height clearance of heel. More...
 
unsafe double HeelHeight [get, set]
 Returns or sets the heel height. More...
 
unsafe double HeelLength [get, set]
 Returns or sets the heel length. More...
 
unsafe double HeelRadian [get, set]
 Returns or sets the heel radius. More...
 
unsafe
NXOpen.Tooling.InsertAuxiliaryBuilder.HeelTypesType 
HeelTypes [get, set]
 Returns or sets the heel types More...
 
unsafe double HeelWidth [get, set]
 Returns or sets the heel width. More...
 
unsafe NXOpen.SelectEdge InsertEdge [get]
 Returns the insert edge. More...
 
unsafe NXOpen.ScCollector InsertShankFace [get]
 Returns the insert shank face. More...
 
unsafe NXOpen.SelectBodyList InsertsToDelete [get]
 Returns the insert objects to be deleted. More...
 
unsafe NXOpen.SelectEdge MountPunchEdge [get]
 Returns the punch edge to place the mount. More...
 
unsafe NXOpen.ScCollector MountPunchFace [get]
 Returns the punch face to place the mount. More...
 
unsafe double OffsetAngle [get, set]
 Returns or sets the offset angle of circular array. More...
 
unsafe double OffsetX [get, set]
 Returns or sets the offset value along X. More...
 
unsafe double OffsetY [get, set]
 Returns or sets the offset value along Y. More...
 
unsafe NXOpen.Point PointForRamp [get, set]
 Returns or sets the tangent point for the sweep guide curve More...
 
unsafe NXOpen.SelectBody Punch [get]
 Returns the selected punch. More...
 
unsafe NXOpen.SelectEdge PunchEdge [get]
 Returns the punch edge. More...
 
unsafe double PunchPlateClearance [get, set]
 Returns or sets the punch plate clearance. More...
 
unsafe NXOpen.ScCollector PunchShankFace [get]
 Returns the punch shank. More...
 
unsafe double PunchShankParaC [get, set]
 Returns or sets the punch shank parameter for clearance between true body and false body. More...
 
unsafe double PunchShankParaFL [get, set]
 Returns or sets the punch shank parameter false body height. More...
 
unsafe double PunchShankParaL1 [get, set]
 Returns or sets the punch shank parameter for true body and false body length. More...
 
unsafe double PunchShankParaLength [get, set]
 Returns or sets the punch shank parameter length. More...
 
unsafe double PunchShankParaPL [get, set]
 Returns or sets the punch shank parameter for true body height. More...
 
unsafe double PunchShankParaR [get, set]
 Returns or sets the punch shank parameter for true body radius. More...
 
unsafe double PunchShankParaWidth [get, set]
 Returns or sets the punch shank parameter width. More...
 
unsafe NXOpen.Expression RadiusForRamp [get]
 Returns the the sweep guide curve radius. More...
 
unsafe NXOpen.Expression RampShankHeight [get]
 Returns the ramp shank height. More...
 
unsafe
NXOpen.Tooling.InsertAuxiliaryBuilder.RampStepsType 
RampSteps [get, set]
 Returns or sets the ramp steps More...
 
unsafe NXOpen.SelectBody RectangularInsert [get]
 Returns the insert to do rectangular array . More...
 
unsafe
NXOpen.Tooling.InsertAuxiliaryBuilder.RectOperationOption 
RectangularOperation [get, set]
 Returns or sets the rectangular array operation. More...
 
unsafe NXOpen.Direction RectangularXVector [get, set]
 Returns or sets the X vector for rectangular array. More...
 
unsafe NXOpen.Direction RectangularYVector [get, set]
 Returns or sets the Y vector for rectangular array. More...
 
unsafe bool RectDeleteAllComponents [get, set]
 Returns or sets the option to delete all components in rectangular array. More...
 
unsafe NXOpen.SelectFace SelectFaceToDivide [get]
 Returns the select face to divide More...
 
unsafe NXOpen.SelectBody SelectInsertToDeleteRamp [get]
 Returns the select insert to delete ramp More...
 
unsafe NXOpen.SelectNXObjectList SelectRampFeature [get]
 Returns the select ramp feature More...
 
unsafe NXOpen.Section SelectShankProfile [get]
 Returns the selected shank profile. More...
 
unsafe
NXOpen.Tooling.InsertAuxiliaryBuilder.ShankShapeTypes 
ShankShape [get, set]
 Returns or sets the shank shape. More...
 
unsafe NXOpen.ScCollector ShanksToDelete [get]
 Returns the faces of those to be deleted shanks. More...
 
unsafe NXOpen.Section SketchToRevolve [get]
 Returns the sketch to revolve More...
 
unsafe double StripperPlateClearance [get, set]
 Returns or sets the stripper plate clearance. More...
 
unsafe int TotalAlongX [get, set]
 Returns or sets the total number of insert along X. More...
 
unsafe int TotalAlongY [get, set]
 Returns or sets the total number of insert along Y. More...
 
unsafe int TotalNumber [get, set]
 Returns or sets the total number of insert for circular array. More...
 
unsafe
NXOpen.Tooling.InsertAuxiliaryBuilder.Types 
Type [get, set]
 Returns or sets the insert auxiliary type. More...
 
unsafe bool UseBottomPlateClearance [get, set]
 Returns or sets the option to use bottoming plate clearance. More...
 
unsafe bool UseClearance [get, set]
 Returns or sets the option to use clearance. More...
 
unsafe
NXOpen.Tooling.InsertAuxiliaryBuilder.UseFaceOrSketchToRevolve 
UseFaceOrSketch [get, set]
 Returns or sets the use face or sketch option More...
 
unsafe bool UsePunchPlateClearance [get, set]
 Returns or sets the option to use punch plate clearance. More...
 
unsafe bool UseStripperPlateClearance [get, set]
 Returns or sets the option to stripper plate clearance. More...
 
unsafe NXOpen.Direction VectorForRamp [get, set]
 Returns or sets the vector to determintate the datum plane normal that the sweep guide curve in. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

PDW insert auxiliary builder to design various auxiliaries of insert group

To create a new instance of this class, use NXOpen.Tooling.InsertAuxiliaryCollection.CreateInsertAuxiliaryBuilder

Default values.

Property Value

BottomPlateClearance

0

CircDeleteAllComponents

0

CircularOperation

Create

ClearanceValue

1

DesignTool

Copy

FalseBodyHeight.Value

0 (millimeters part), 0 (inches part)

HeelFalseHeightClearance

0

HeelHeight

5

HeelLength

10

HeelRadian

1

HeelTypes

RType

HeelWidth

5

OffsetAngle

0

OffsetX

0

OffsetY

0

PunchPlateClearance

0

PunchShankParaC

1

PunchShankParaFL

45

PunchShankParaL1

6

PunchShankParaLength

8

PunchShankParaPL

40

PunchShankParaR

13

PunchShankParaWidth

8

RampShankHeight.Value

0 (millimeters part), 0 (inches part)

RampSteps

AddMaterial

RectDeleteAllComponents

0

RectangularOperation

Create

ShankShape

Flange

StripperPlateClearance

0

TotalAlongX

1

TotalAlongY

1

TotalNumber

1

UseBottomPlateClearance

0

UseClearance

1

UseFaceOrSketch

Face

UsePunchPlateClearance

0

UseStripperPlateClearance

0

Created in NX7.5.0

Member Enumeration Documentation

Specifies the options of circular array.

Enumerator
Create 

create

Edit 

edit

Delete 

delete

Specifies the design tool option.

Enumerator
Copy 

copy

Array 

array

Delete 

delete

Specisied the heel types

Enumerator
RType 
CType 

Specifies the ramp steps.

Enumerator
AddMaterial 
CreateCurvesAndDivideFace 
CreateRamp 
DeleteRamp 

Specifies the rectangular array option.

Enumerator
Create 

create

Edit 

edit

Delete 

delete

Specifies the shank shape.

Enumerator
Flange 

flange

Ramp 

ramp

Heel 

heel

Specifies the insert auxiliary type.

Enumerator
InsertFlange 

insert flange

InsertRamp 

insert ramp

InsertHeel 

insert heel

PunchMount 

punch mount

Tools 

tools

Specifies the use face or sketch to revolve.

Enumerator
Face 
Sketch 

Member Function Documentation

unsafe void NXOpen.Tooling.InsertAuxiliaryBuilder.DesignMountHead ( )
inline

Design mount head for insert.

Created in NX7.5.0

License requirements: None.

Property Documentation

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.BottomPlateClearance
getset

Returns or sets the bottom plate clearance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.InsertAuxiliaryBuilder.CircDeleteAllComponents
getset

Returns or sets the option to delete all components in circular array.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectBody NXOpen.Tooling.InsertAuxiliaryBuilder.CircularInsert
get

Returns the insert to do circular array.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Tooling.InsertAuxiliaryBuilder.CircOperationTypes NXOpen.Tooling.InsertAuxiliaryBuilder.CircularOperation
getset

Returns or sets the circular array operation.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Direction NXOpen.Tooling.InsertAuxiliaryBuilder.CircularVector
getset

Returns or sets the specified vector for defining circular array axis.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.ClearanceValue
getset

Returns or sets the clearance value.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point NXOpen.Tooling.InsertAuxiliaryBuilder.ControlPoint
getset

Returns or sets the control point for the copy operation.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectBodyList NXOpen.Tooling.InsertAuxiliaryBuilder.CopySelectInsert
get

Returns the insert to be copied.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Tooling.InsertAuxiliaryBuilder.CreateCurvesToDivideFace
get

Returns the curves created to divid the face

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Tooling.InsertAuxiliaryBuilder.DesignToolOption NXOpen.Tooling.InsertAuxiliaryBuilder.DesignTool
getset

Returns or sets the design tool.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point NXOpen.Tooling.InsertAuxiliaryBuilder.DestinationPoint
getset

Returns or sets the destination point for the copy operation.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.InsertAuxiliaryBuilder.FaceForRamp
get

Returns the sweep face for editing ramp.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.InsertAuxiliaryBuilder.FalseBodyHeight
get

Returns the false body height.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.HeelFalseHeightClearance
getset

Returns or sets the false height clearance of heel.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.HeelHeight
getset

Returns or sets the heel height.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.HeelLength
getset

Returns or sets the heel length.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.HeelRadian
getset

Returns or sets the heel radius.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.InsertAuxiliaryBuilder.HeelTypesType NXOpen.Tooling.InsertAuxiliaryBuilder.HeelTypes
getset

Returns or sets the heel types

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.HeelWidth
getset

Returns or sets the heel width.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectEdge NXOpen.Tooling.InsertAuxiliaryBuilder.InsertEdge
get

Returns the insert edge.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.InsertAuxiliaryBuilder.InsertShankFace
get

Returns the insert shank face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectBodyList NXOpen.Tooling.InsertAuxiliaryBuilder.InsertsToDelete
get

Returns the insert objects to be deleted.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectEdge NXOpen.Tooling.InsertAuxiliaryBuilder.MountPunchEdge
get

Returns the punch edge to place the mount.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.InsertAuxiliaryBuilder.MountPunchFace
get

Returns the punch face to place the mount.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.OffsetAngle
getset

Returns or sets the offset angle of circular array.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.OffsetX
getset

Returns or sets the offset value along X.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.OffsetY
getset

Returns or sets the offset value along Y.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point NXOpen.Tooling.InsertAuxiliaryBuilder.PointForRamp
getset

Returns or sets the tangent point for the sweep guide curve

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectBody NXOpen.Tooling.InsertAuxiliaryBuilder.Punch
get

Returns the selected punch.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectEdge NXOpen.Tooling.InsertAuxiliaryBuilder.PunchEdge
get

Returns the punch edge.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.PunchPlateClearance
getset

Returns or sets the punch plate clearance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.InsertAuxiliaryBuilder.PunchShankFace
get

Returns the punch shank.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.PunchShankParaC
getset

Returns or sets the punch shank parameter for clearance between true body and false body.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.PunchShankParaFL
getset

Returns or sets the punch shank parameter false body height.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.PunchShankParaL1
getset

Returns or sets the punch shank parameter for true body and false body length.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.PunchShankParaLength
getset

Returns or sets the punch shank parameter length.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.PunchShankParaPL
getset

Returns or sets the punch shank parameter for true body height.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.PunchShankParaR
getset

Returns or sets the punch shank parameter for true body radius.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.PunchShankParaWidth
getset

Returns or sets the punch shank parameter width.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.InsertAuxiliaryBuilder.RadiusForRamp
get

Returns the the sweep guide curve radius.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.InsertAuxiliaryBuilder.RampShankHeight
get

Returns the ramp shank height.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Tooling.InsertAuxiliaryBuilder.RampStepsType NXOpen.Tooling.InsertAuxiliaryBuilder.RampSteps
getset

Returns or sets the ramp steps

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectBody NXOpen.Tooling.InsertAuxiliaryBuilder.RectangularInsert
get

Returns the insert to do rectangular array .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Tooling.InsertAuxiliaryBuilder.RectOperationOption NXOpen.Tooling.InsertAuxiliaryBuilder.RectangularOperation
getset

Returns or sets the rectangular array operation.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Direction NXOpen.Tooling.InsertAuxiliaryBuilder.RectangularXVector
getset

Returns or sets the X vector for rectangular array.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Direction NXOpen.Tooling.InsertAuxiliaryBuilder.RectangularYVector
getset

Returns or sets the Y vector for rectangular array.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.InsertAuxiliaryBuilder.RectDeleteAllComponents
getset

Returns or sets the option to delete all components in rectangular array.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectFace NXOpen.Tooling.InsertAuxiliaryBuilder.SelectFaceToDivide
get

Returns the select face to divide

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectBody NXOpen.Tooling.InsertAuxiliaryBuilder.SelectInsertToDeleteRamp
get

Returns the select insert to delete ramp

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.InsertAuxiliaryBuilder.SelectRampFeature
get

Returns the select ramp feature

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Tooling.InsertAuxiliaryBuilder.SelectShankProfile
get

Returns the selected shank profile.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Tooling.InsertAuxiliaryBuilder.ShankShapeTypes NXOpen.Tooling.InsertAuxiliaryBuilder.ShankShape
getset

Returns or sets the shank shape.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.InsertAuxiliaryBuilder.ShanksToDelete
get

Returns the faces of those to be deleted shanks.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Tooling.InsertAuxiliaryBuilder.SketchToRevolve
get

Returns the sketch to revolve

Created in NX11.0.1

License requirements: None.

unsafe double NXOpen.Tooling.InsertAuxiliaryBuilder.StripperPlateClearance
getset

Returns or sets the stripper plate clearance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Tooling.InsertAuxiliaryBuilder.TotalAlongX
getset

Returns or sets the total number of insert along X.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Tooling.InsertAuxiliaryBuilder.TotalAlongY
getset

Returns or sets the total number of insert along Y.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Tooling.InsertAuxiliaryBuilder.TotalNumber
getset

Returns or sets the total number of insert for circular array.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.InsertAuxiliaryBuilder.Types NXOpen.Tooling.InsertAuxiliaryBuilder.Type
getset

Returns or sets the insert auxiliary type.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.InsertAuxiliaryBuilder.UseBottomPlateClearance
getset

Returns or sets the option to use bottoming plate clearance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.InsertAuxiliaryBuilder.UseClearance
getset

Returns or sets the option to use clearance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.InsertAuxiliaryBuilder.UseFaceOrSketchToRevolve NXOpen.Tooling.InsertAuxiliaryBuilder.UseFaceOrSketch
getset

Returns or sets the use face or sketch option

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.InsertAuxiliaryBuilder.UsePunchPlateClearance
getset

Returns or sets the option to use punch plate clearance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.InsertAuxiliaryBuilder.UseStripperPlateClearance
getset

Returns or sets the option to stripper plate clearance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Direction NXOpen.Tooling.InsertAuxiliaryBuilder.VectorForRamp
getset

Returns or sets the vector to determintate the datum plane normal that the sweep guide curve in.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.